/******************************************************************************

Copyright 2003, 2004 Christian Gollan

This file is part of the W2D package.

The W2D package is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

The W2D package is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.
You should have received a copy of the GNU General Public License
along with the W2D package; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

******************************************************************************/

typedef struct _ww_list
{
  struct _ww_list *previous;
  char *data;
  int ww_data_length;
  double counter;
  int x;
  int y;
  int beamsize;
}
ww_list;

double W2DW_distance (IMG, IMG, int *);
double W2DW_list_distance(IMG, IMG_list*, double, int*);
double dis_from_warp (double *, double *, int, int *);
double dis_from_warp_image (IMG, IMG, int *);
double get_best_ww_list_distance (ww_list *);
